# TODO
# - lang tag translations
#
# Conditional build:
%bcond_with	kde		# Integration with the KDE Frameworks runtime environment

%define		qtver	4.6.0
Summary:	Modern, cross-platform, distributed IRC client based on the Qt4 framework
Summary(pl.UTF-8):	Nowoczesny, wieloplatformowy i rozproszony klient IRC oparty na bibliotece Qt4
Name:		quassel
Version:	0.12.2
Release:	1
License:	GPL v2, GPL v3
Group:		Applications/Communications
Source0:	http://www.quassel-irc.org/pub/%{name}-%{version}.tar.bz2
# Source0-md5:	f5473a9c5927a0e8cb3a204ced887aa8
URL:		http://www.quassel-irc.org/
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtSql-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtWebKit-devel >= %{qtver}
BuildRequires:	automoc4
BuildRequires:	cmake >= 2.8.9
%{?with_kde:BuildRequires:	kde4-kdelibs-devel}
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	openssl-devel
BuildRequires:	phonon-devel
BuildRequires:	pkgconfig
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	sed >= 4.0
Suggests:	QtSql-sqlite3 >= %{qtver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Quassel IRC is modern Internet chat client. It allows one (or
multiple) client(s) can attach to and detach from a central core
(distributed), but also can act plain client.

%description -l pl.UTF-8
Quassel IRC jest nowoczesnym klientem rozmów w Internecie. Pozwala na
podłączanie się i odłączanie wielu klientów od centralnego rdzenia
(rozproszony), ale również może zachowywać się jak zwyczajny klient.

%prep
%setup -q

%build
install -d build
cd build
%cmake \
	-DEMBED_DATA=OFF \
	-DWITH_CRYPT=ON \
	-DWITH_DBUS=ON \
	-DWITH_KDE=%{!?with_kde:OFF}%{?with_kde:ON} \
	-DWITH_LIBINDICATE=ON \
	-DWITH_OPENSSL=ON \
	-DWITH_OXYGEN=ON \
	-DWITH_PHONON=ON \
	-DWITH_QT5=OFF \
	-DWITH_SYSLOG=ON \
	-DWITH_WEBKIT=ON \
	..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/quassel
%attr(755,root,root) %{_bindir}/quasselclient
%attr(755,root,root) %{_bindir}/quasselcore
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svgz
%{_pixmapsdir}/quassel.png
%if %{with kde}
%{_desktopdir}/kde4/quassel.desktop
%{_desktopdir}/kde4/quasselclient.desktop
%else
%{_desktopdir}/quassel.desktop
%{_desktopdir}/quasselclient.desktop
%endif
%changelog
* Mon Jan 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/quassel.git;a=log;h=master

* Sun Jan 17 2016 Elan Ruusamäe <glen@delfi.ee> 8a64c5c
- add kde bcond, default off

* Sun Jan 17 2016 Elan Ruusamäe <glen@delfi.ee> b399f39
- cleanup BR

* Sun Jan 17 2016 Elan Ruusamäe <glen@delfi.ee> fb03bd5
- dep versions

* Sat Jan 16 2016 Elan Ruusamäe <glen@delfi.ee> 88b2d25
- up to 0.12.2

* Sat Jan 16 2016 Elan Ruusamäe <glen@delfi.ee> 2bd2749
- no UTF8 in C description

* Sun Jun 16 2013 Lukasz Glebicki <blekot@pld-linux.org> bbacc21
- fixed files on never rpm-build-tools

* Thu Jun 13 2013 Lukasz Glebicki <blekot@pld-linux.org> 4738fac
- 0.9.0

* Sat May 12 2012 blekot <blekot@pld-linux.org> 63a32c0
- 0.8.0

* Mon Mar 28 2011 lisu <lisu@pld-linux.org> f9b5563
- up to 0.7.2

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 15d0340
- BR: QtXmlPatterns-devel

* Wed Sep 22 2010 lisu <lisu@pld-linux.org> 8373cd7
- 0.7.1

* Wed Sep 15 2010 lisu <lisu@pld-linux.org> e4093a2
- up to 0.7.0
- merge with DEVEL

* Tue Sep 07 2010 blekot <blekot@pld-linux.org> 1a0d767
- S: QtSql-sqlite3
- rel 2

* Mon Sep 06 2010 lisu <lisu@pld-linux.org> 862c773
- drop cmake options provided by %%cmake macro

* Mon Sep 06 2010 lisu <lisu@pld-linux.org> c463802
- up to 0.6.2
- package icons

* Mon Apr 19 2010 lisu <lisu@pld-linux.org> 42521a4
- 0.6.1

* Thu Apr 15 2010 lisu <lisu@pld-linux.org> 89b19bc
- 0.6.0

* Tue Feb 23 2010 sparky <sparky@pld-linux.org> cc89fc7
- dropped unused BR: gettext-devel, rpm-pythonprov

* Tue Feb 23 2010 lisu <lisu@pld-linux.org> 35fb3bd
- 0.5.2

* Thu Dec 03 2009 lisu <lisu@pld-linux.org> bfeec0d
- up to 0.5.1
- add missing BR: QtSql-backend
- cosmetics

